Index: tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -60,5 +60,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ec.potentials -i $file  -o tremolo -d 2 2 2], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
@@ -109,5 +109,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/$file], 0, [ignore], [ignore])
@@ -158,5 +158,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -26,5 +26,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
+	--parse-particle-parameters tensid.potentials \
 	-i $file \
 	--select-all-molecules \
@@ -55,5 +55,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
+	--parse-particle-parameters tensid.potentials \
 	-i $file \
 	--select-all-molecules \
@@ -84,5 +84,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder \
-	--parse-tremolo-potentials tensid.potentials \
+	--parse-particle-parameters tensid.potentials \
 	-i $file \
 	--select-all-molecules \
Index: tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -25,5 +25,5 @@
 AT_CHECK([chmod u+w $file], 0)
 # check that specifying radius but selecting no atoms is wrong
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 5, [stdout], [stderr])
 
 AT_CLEANUP
@@ -35,5 +35,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 0, [stdout], [stderr])
 AT_CHECK([grep "118 out of 125 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
@@ -48,5 +48,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/double_sles-undo.data], 0, [ignore], [ignore])
 
@@ -60,5 +60,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
 
Index: tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1], 0, [stdout], [stderr])
 AT_CHECK([grep "222 out of 275 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
@@ -37,5 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/single_sles-undo.data], 0, [ignore], [ignore])
 
@@ -49,5 +49,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
 
Index: tests/regression/Molecules/Copy/testsuite-molecules-copy-molecule.at
===================================================================
--- tests/regression/Molecules/Copy/testsuite-molecules-copy-molecule.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Molecules/Copy/testsuite-molecules-copy-molecule.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -31,5 +31,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10"], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/tensid.data], 0, [ignore], [ignore])
 
@@ -50,5 +50,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.data], 0, [ignore], [ignore])
 
@@ -69,5 +69,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/tensid.data], 0, [ignore], [ignore])
 
Index: tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at
===================================================================
--- tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -20,5 +20,5 @@
 
 AT_SETUP([Parser - load tremolo file with potentials])
-AT_KEYWORDS([parser tremolo load parse-tremolo-potentials])
+AT_KEYWORDS([parser tremolo load parse-particle-parameters])
 
 file=argon.data
@@ -26,5 +26,5 @@
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i $file], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder -v 2 --parse-particle-parameters argon.potentials -i $file], 0, [stdout], [ignore])
 AT_CHECK([grep "Chemical formula is Ar2" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/post/argon.data], 0, [ignore], [ignore])
Index: tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at
===================================================================
--- tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -19,8 +19,8 @@
 
 AT_SETUP([Parser - saving tremolo file from loaded xyz file with potentials])
-AT_KEYWORDS([parser tremolo save parse-tremolo-potentials])
+AT_KEYWORDS([parser tremolo save parse-particle-parameters])
 
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/argon.potentials .], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -v 2 --parse-tremolo-potentials argon.potentials -i test.data -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -v 2 --parse-particle-parameters argon.potentials -i test.data -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/pre/test.xyz], 0, [ignore], [ignore])
 AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo-Potentials/post/test.data], 0, [ignore], [ignore])
 
Index: tests/regression/Parser/Tremolo/testsuite-parser-tremolo-improper.at
===================================================================
--- tests/regression/Parser/Tremolo/testsuite-parser-tremolo-improper.at	(revision 87662aa94bcd11138c72723c1b07477a73d4c8fa)
+++ tests/regression/Parser/Tremolo/testsuite-parser-tremolo-improper.at	(revision 2fe4a50367480943ddb0d8b19ab30b5ce05e34d1)
@@ -36,10 +36,10 @@
 
 AT_SETUP([Parser - loading tremolo file with improper])
-AT_KEYWORDS([parser input load tremolo improper parse-tremolo-potentials])
+AT_KEYWORDS([parser input load tremolo improper parse-particle-parameters])
 
 prefile=bio.data
 file=bio2.data
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$prefile $prefile], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/bio.potentials -i $file -o tremolo -l $prefile], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/bio.potentials -i $file -o tremolo -l $prefile], 0, [ignore], [ignore])
 AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$prefile], 0, [ignore], [ignore])
 
